Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 212134 - Confusing error message : Protocol error : killed
Confusing error message : Protocol error : killed
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.1.1
PC Windows 7
: P3 with 1 vote (vote)
: 7.3
Assigned To: Maria Tishkova
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 00:09 UTC by Mr_and_Mrs_D
Modified: 2012-11-30 02:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mr_and_Mrs_D 2012-05-06 00:09:38 UTC
I am developing a project in my MS machine and I run it remotely on my Uni's linux machine. The project builds correctly but then it displays the "Protocol error: killed" message in red then it opens a new tab (in the output window) where it displays the RUN SUCCESSFUL notification - this is how it should be ?

Copying project files to /home/users1/std09200/.netbeans/remote/linux11.di.uoa.gr/mrsd-Windows-x86_64/ at std09200@linux11.di.uoa.gr:22
"/usr/bin/make" -f nbproject/Makefile-Debug.mk QMAKE= SUBPROJECTS= .build-conf
make[1]: Entering directory `/home/users1/std09200/.netbeans/remote/linux11.di.uoa.gr/mrsd-Windows-x86_64/C/Dropbox/DI/Vaseis1/hw1/vaseis1_hw1'
"/usr/bin/make"  -f nbproject/Makefile-Debug.mk dist/Debug/GNU-Linux-x86/vaseis1_hw1
make[2]: Entering directory `/home/users1/std09200/.netbeans/remote/linux11.di.uoa.gr/mrsd-Windows-x86_64/C/Dropbox/DI/Vaseis1/hw1/vaseis1_hw1'
mkdir -p build/Debug/GNU-Linux-x86
rm -f build/Debug/GNU-Linux-x86/main.o.d
g++ -Wall -ansi -pedantic   -c -g -MMD -MP -MF build/Debug/GNU-Linux-x86/main.o.d -o build/Debug/GNU-Linux-x86/main.o main.cpp
mkdir -p build/Debug/GNU-Linux-x86
rm -f build/Debug/GNU-Linux-x86/HP.o.d
g++ -Wall -ansi -pedantic   -c -g -MMD -MP -MF build/Debug/GNU-Linux-x86/HP.o.d -o build/Debug/GNU-Linux-x86/HP.o HP.cpp
HP.cpp: In static member function 'static void HP::HP_GetAllEntries(int, char*, void*)':
HP.cpp:156: warning: comparison between signed and unsigned integer expressions
HP.cpp:170: warning: comparison between signed and unsigned integer expressions
mkdir -p build/Debug/GNU-Linux-x86
rm -f build/Debug/GNU-Linux-x86/BFcommon.o.d
g++ -Wall -ansi -pedantic   -c -g -MMD -MP -MF build/Debug/GNU-Linux-x86/BFcommon.o.d -o build/Debug/GNU-Linux-x86/BFcommon.o BFcommon.cpp
mkdir -p dist/Debug/GNU-Linux-x86
g++ -Wall -ansi -pedantic    -o dist/Debug/GNU-Linux-x86/vaseis1_hw1 build/Debug/GNU-Linux-x86/main.o build/Debug/GNU-Linux-x86/HP.o build/Debug/GNU-Linux-x86/BFcommon.o BF.o 
make[2]: Leaving directory `/home/users1/std09200/.netbeans/remote/linux11.di.uoa.gr/mrsd-Windows-x86_64/C/Dropbox/DI/Vaseis1/hw1/vaseis1_hw1'
make[1]: Leaving directory `/home/users1/std09200/.netbeans/remote/linux11.di.uoa.gr/mrsd-Windows-x86_64/C/Dropbox/DI/Vaseis1/hw1/vaseis1_hw1'


BUILD SUCCESSFUL (total time: 5s)


Protocol error: Killed

Thanks for your time
Comment 1 Mr_and_Mrs_D 2012-05-11 17:41:26 UTC
While you are at it please consider improving the formatting of the error messages to avoid things like :

Protocol error: Killedchannel request: timeout
Comment 2 Maria Tishkova 2012-11-26 14:01:44 UTC
Please attach messages.log file as I cannot re-produce the problem.

Could you please try the the latest version of Netbeans and check if the problem still exists. You can use nightly build (http://bits.netbeans.org/download/trunk/nightly/latest/) or NetBeans 7.3 Beta.
Comment 3 Mr_and_Mrs_D 2012-11-26 14:12:14 UTC
Thanks - I can't do this now - and I am reluctant to install beta versions - since oracle came about I had trouble uninstalling netBeans
Would latest 7.2 stable be ok to check ?
Definitely add a "\n" after protocol error killed though
Comment 5 Maria Tishkova 2012-11-27 14:47:04 UTC
added fix in http://hg.netbeans.org/cnd-main/rev/0751400da3c2
Comment 6 Quality Engineering 2012-11-30 02:43:19 UTC
Integrated into 'main-golden', will be available in build *201211300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/bb8300cc67a2
User: Maria Tishkova <mromashova@netbeans.org>
Log: fixed bz#212134 - Confusing error message : Protocol error : killed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo